Subject: Re: [PATCH net-next 0/2] selftests: pmtu: List/flush IPv4 cached routes, improve IPv6 test

From: Stefano Brivio <[email-masked]>
Date: Mon, 17 Jun 2019 12:20:13 +0200

On Sun, 16 Jun 2019 20:45:52 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: Stefano Brivio <[email-masked]>
> Date: Sat, 15 Jun 2019 03:38:16 +0200
> 
> > This series introduce a new test, list_flush_ipv4_exception, and improves
> > the existing list_flush_ipv6_exception test by making it as demanding as
> > the IPv4 one.  
> 
> I suspect this will need a respin because semantics are still being discussed

Maybe not a respin, because we're discussing netlink semantics and how
many past versions of iproute2 need to work, whereas user interface and
expectations of fixed, recent kernel/iproute2 are untouched.

Anyway, sure, it doesn't make sense to merge this before the fix is
final -- I'll resend then.

This prompts some questions though (answer this quick survey and win a
patch for netdev-FAQ.rst): when (and against which tree) do tests that
are fixed by a recent patch need to be submitted? Is it a problem if
the test is merged before the fix? Would a "dependency" note help?

> and I seem to recall a mention of there being some conflict with some of
> David A's changes.

That was for e28799e52a0a ("selftests: pmtu: Introduce
list_flush_ipv6_exception test case") on top of 438a9a856ba4 ("selftests: pmtu:
Add support for routing via nexthop objects"), but you already fixed the
conflict.

That test case, by the way, will also fail until we agree on the fix.

-- 
Stefano